IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network110.136.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
110.136.0.0- Broadcast address
110.136.15.255- First usable
110.136.0.1- Last usable
110.136.15.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
6E880000· Integer1854406656to1854410751 - Reverse DNS zones
0.136.110.in-addr.arpa1.136.110.in-addr.arpa2.136.110.in-addr.arpa3.136.110.in-addr.arpa4.136.110.in-addr.arpa5.136.110.in-addr.arpa6.136.110.in-addr.arpa7.136.110.in-addr.arpa8.136.110.in-addr.arpa9.136.110.in-addr.arpa10.136.110.in-addr.arpa11.136.110.in-addr.arpa12.136.110.in-addr.arpa13.136.110.in-addr.arpa14.136.110.in-addr.arpa15.136.110.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01101110.10001000.00000000.00000000 | 110.136.0.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01101110.10001000.00000000.00000000 | 110.136.0.0 |
| Broadcast | 01101110.10001000.00001111.11111111 | 110.136.15.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
110.136.0.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 110.136.0.0/32 | 110.136.0.0 to 110.136.0.0 | — | 1 |
| 2 | 110.136.0.1/32 | 110.136.0.1 to 110.136.0.1 | — | 1 |
| 3 | 110.136.0.2/32 | 110.136.0.2 to 110.136.0.2 | — | 1 |
| 4 | 110.136.0.3/32 | 110.136.0.3 to 110.136.0.3 | — | 1 |
| 5 | 110.136.0.4/32 | 110.136.0.4 to 110.136.0.4 | — | 1 |
| 6 | 110.136.0.5/32 | 110.136.0.5 to 110.136.0.5 | — | 1 |
| 7 | 110.136.0.6/32 | 110.136.0.6 to 110.136.0.6 | — | 1 |
| 8 | 110.136.0.7/32 | 110.136.0.7 to 110.136.0.7 | — | 1 |
| 9 | 110.136.0.8/32 | 110.136.0.8 to 110.136.0.8 | — | 1 |
| 10 | 110.136.0.9/32 | 110.136.0.9 to 110.136.0.9 | — | 1 |
| 11 | 110.136.0.10/32 | 110.136.0.10 to 110.136.0.10 | — | 1 |
| 12 | 110.136.0.11/32 | 110.136.0.11 to 110.136.0.11 | — | 1 |
| 13 | 110.136.0.12/32 | 110.136.0.12 to 110.136.0.12 | — | 1 |
| 14 | 110.136.0.13/32 | 110.136.0.13 to 110.136.0.13 | — | 1 |
| 15 | 110.136.0.14/32 | 110.136.0.14 to 110.136.0.14 | — | 1 |
| 16 | 110.136.0.15/32 | 110.136.0.15 to 110.136.0.15 | — | 1 |
| 17 | 110.136.0.16/32 | 110.136.0.16 to 110.136.0.16 | — | 1 |
| 18 | 110.136.0.17/32 | 110.136.0.17 to 110.136.0.17 | — | 1 |
| 19 | 110.136.0.18/32 | 110.136.0.18 to 110.136.0.18 | — | 1 |
| 20 | 110.136.0.19/32 | 110.136.0.19 to 110.136.0.19 | — | 1 |
| 21 | 110.136.0.20/32 | 110.136.0.20 to 110.136.0.20 | — | 1 |
| 22 | 110.136.0.21/32 | 110.136.0.21 to 110.136.0.21 | — | 1 |
| 23 | 110.136.0.22/32 | 110.136.0.22 to 110.136.0.22 | — | 1 |
| 24 | 110.136.0.23/32 | 110.136.0.23 to 110.136.0.23 | — | 1 |
| 25 | 110.136.0.24/32 | 110.136.0.24 to 110.136.0.24 | — | 1 |
| 26 | 110.136.0.25/32 | 110.136.0.25 to 110.136.0.25 | — | 1 |
| 27 | 110.136.0.26/32 | 110.136.0.26 to 110.136.0.26 | — | 1 |
| 28 | 110.136.0.27/32 | 110.136.0.27 to 110.136.0.27 | — | 1 |
| 29 | 110.136.0.28/32 | 110.136.0.28 to 110.136.0.28 | — | 1 |
| 30 | 110.136.0.29/32 | 110.136.0.29 to 110.136.0.29 | — | 1 |
| 31 | 110.136.0.30/32 | 110.136.0.30 to 110.136.0.30 | — | 1 |
| 32 | 110.136.0.31/32 | 110.136.0.31 to 110.136.0.31 | — | 1 |
| 33 | 110.136.0.32/32 | 110.136.0.32 to 110.136.0.32 | — | 1 |
| 34 | 110.136.0.33/32 | 110.136.0.33 to 110.136.0.33 | — | 1 |
| 35 | 110.136.0.34/32 | 110.136.0.34 to 110.136.0.34 | — | 1 |
| 36 | 110.136.0.35/32 | 110.136.0.35 to 110.136.0.35 | — | 1 |
| 37 | 110.136.0.36/32 | 110.136.0.36 to 110.136.0.36 | — | 1 |
| 38 | 110.136.0.37/32 | 110.136.0.37 to 110.136.0.37 | — | 1 |
| 39 | 110.136.0.38/32 | 110.136.0.38 to 110.136.0.38 | — | 1 |
| 40 | 110.136.0.39/32 | 110.136.0.39 to 110.136.0.39 | — | 1 |
| 41 | 110.136.0.40/32 | 110.136.0.40 to 110.136.0.40 | — | 1 |
| 42 | 110.136.0.41/32 | 110.136.0.41 to 110.136.0.41 | — | 1 |
| 43 | 110.136.0.42/32 | 110.136.0.42 to 110.136.0.42 | — | 1 |
| 44 | 110.136.0.43/32 | 110.136.0.43 to 110.136.0.43 | — | 1 |
| 45 | 110.136.0.44/32 | 110.136.0.44 to 110.136.0.44 | — | 1 |
| 46 | 110.136.0.45/32 | 110.136.0.45 to 110.136.0.45 | — | 1 |
| 47 | 110.136.0.46/32 | 110.136.0.46 to 110.136.0.46 | — | 1 |
| 48 | 110.136.0.47/32 | 110.136.0.47 to 110.136.0.47 | — | 1 |
| 49 | 110.136.0.48/32 | 110.136.0.48 to 110.136.0.48 | — | 1 |
| 50 | 110.136.0.49/32 | 110.136.0.49 to 110.136.0.49 | — | 1 |
| 51 | 110.136.0.50/32 | 110.136.0.50 to 110.136.0.50 | — | 1 |
| 52 | 110.136.0.51/32 | 110.136.0.51 to 110.136.0.51 | — | 1 |
| 53 | 110.136.0.52/32 | 110.136.0.52 to 110.136.0.52 | — | 1 |
| 54 | 110.136.0.53/32 | 110.136.0.53 to 110.136.0.53 | — | 1 |
| 55 | 110.136.0.54/32 | 110.136.0.54 to 110.136.0.54 | — | 1 |
| 56 | 110.136.0.55/32 | 110.136.0.55 to 110.136.0.55 | — | 1 |
| 57 | 110.136.0.56/32 | 110.136.0.56 to 110.136.0.56 | — | 1 |
| 58 | 110.136.0.57/32 | 110.136.0.57 to 110.136.0.57 | — | 1 |
| 59 | 110.136.0.58/32 | 110.136.0.58 to 110.136.0.58 | — | 1 |
| 60 | 110.136.0.59/32 | 110.136.0.59 to 110.136.0.59 | — | 1 |
| 61 | 110.136.0.60/32 | 110.136.0.60 to 110.136.0.60 | — | 1 |
| 62 | 110.136.0.61/32 | 110.136.0.61 to 110.136.0.61 | — | 1 |
| 63 | 110.136.0.62/32 | 110.136.0.62 to 110.136.0.62 | — | 1 |
| 64 | 110.136.0.63/32 | 110.136.0.63 to 110.136.0.63 | — | 1 |
| 65 | 110.136.0.64/32 | 110.136.0.64 to 110.136.0.64 | — | 1 |
| 66 | 110.136.0.65/32 | 110.136.0.65 to 110.136.0.65 | — | 1 |
| 67 | 110.136.0.66/32 | 110.136.0.66 to 110.136.0.66 | — | 1 |
| 68 | 110.136.0.67/32 | 110.136.0.67 to 110.136.0.67 | — | 1 |
| 69 | 110.136.0.68/32 | 110.136.0.68 to 110.136.0.68 | — | 1 |
| 70 | 110.136.0.69/32 | 110.136.0.69 to 110.136.0.69 | — | 1 |
| 71 | 110.136.0.70/32 | 110.136.0.70 to 110.136.0.70 | — | 1 |
| 72 | 110.136.0.71/32 | 110.136.0.71 to 110.136.0.71 | — | 1 |
| 73 | 110.136.0.72/32 | 110.136.0.72 to 110.136.0.72 | — | 1 |
| 74 | 110.136.0.73/32 | 110.136.0.73 to 110.136.0.73 | — | 1 |
| 75 | 110.136.0.74/32 | 110.136.0.74 to 110.136.0.74 | — | 1 |
| 76 | 110.136.0.75/32 | 110.136.0.75 to 110.136.0.75 | — | 1 |
| 77 | 110.136.0.76/32 | 110.136.0.76 to 110.136.0.76 | — | 1 |
| 78 | 110.136.0.77/32 | 110.136.0.77 to 110.136.0.77 | — | 1 |
| 79 | 110.136.0.78/32 | 110.136.0.78 to 110.136.0.78 | — | 1 |
| 80 | 110.136.0.79/32 | 110.136.0.79 to 110.136.0.79 | — | 1 |
| 81 | 110.136.0.80/32 | 110.136.0.80 to 110.136.0.80 | — | 1 |
| 82 | 110.136.0.81/32 | 110.136.0.81 to 110.136.0.81 | — | 1 |
| 83 | 110.136.0.82/32 | 110.136.0.82 to 110.136.0.82 | — | 1 |
| 84 | 110.136.0.83/32 | 110.136.0.83 to 110.136.0.83 | — | 1 |
| 85 | 110.136.0.84/32 | 110.136.0.84 to 110.136.0.84 | — | 1 |
| 86 | 110.136.0.85/32 | 110.136.0.85 to 110.136.0.85 | — | 1 |
| 87 | 110.136.0.86/32 | 110.136.0.86 to 110.136.0.86 | — | 1 |
| 88 | 110.136.0.87/32 | 110.136.0.87 to 110.136.0.87 | — | 1 |
| 89 | 110.136.0.88/32 | 110.136.0.88 to 110.136.0.88 | — | 1 |
| 90 | 110.136.0.89/32 | 110.136.0.89 to 110.136.0.89 | — | 1 |
| 91 | 110.136.0.90/32 | 110.136.0.90 to 110.136.0.90 | — | 1 |
| 92 | 110.136.0.91/32 | 110.136.0.91 to 110.136.0.91 | — | 1 |
| 93 | 110.136.0.92/32 | 110.136.0.92 to 110.136.0.92 | — | 1 |
| 94 | 110.136.0.93/32 | 110.136.0.93 to 110.136.0.93 | — | 1 |
| 95 | 110.136.0.94/32 | 110.136.0.94 to 110.136.0.94 | — | 1 |
| 96 | 110.136.0.95/32 | 110.136.0.95 to 110.136.0.95 | — | 1 |
| 97 | 110.136.0.96/32 | 110.136.0.96 to 110.136.0.96 | — | 1 |
| 98 | 110.136.0.97/32 | 110.136.0.97 to 110.136.0.97 | — | 1 |
| 99 | 110.136.0.98/32 | 110.136.0.98 to 110.136.0.98 | — | 1 |
| 100 | 110.136.0.99/32 | 110.136.0.99 to 110.136.0.99 | — | 1 |
| 101 | 110.136.0.100/32 | 110.136.0.100 to 110.136.0.100 | — | 1 |
| 102 | 110.136.0.101/32 | 110.136.0.101 to 110.136.0.101 | — | 1 |
| 103 | 110.136.0.102/32 | 110.136.0.102 to 110.136.0.102 | — | 1 |
| 104 | 110.136.0.103/32 | 110.136.0.103 to 110.136.0.103 | — | 1 |
| 105 | 110.136.0.104/32 | 110.136.0.104 to 110.136.0.104 | — | 1 |
| 106 | 110.136.0.105/32 | 110.136.0.105 to 110.136.0.105 | — | 1 |
| 107 | 110.136.0.106/32 | 110.136.0.106 to 110.136.0.106 | — | 1 |
| 108 | 110.136.0.107/32 | 110.136.0.107 to 110.136.0.107 | — | 1 |
| 109 | 110.136.0.108/32 | 110.136.0.108 to 110.136.0.108 | — | 1 |
| 110 | 110.136.0.109/32 | 110.136.0.109 to 110.136.0.109 | — | 1 |
| 111 | 110.136.0.110/32 | 110.136.0.110 to 110.136.0.110 | — | 1 |
| 112 | 110.136.0.111/32 | 110.136.0.111 to 110.136.0.111 | — | 1 |
| 113 | 110.136.0.112/32 | 110.136.0.112 to 110.136.0.112 | — | 1 |
| 114 | 110.136.0.113/32 | 110.136.0.113 to 110.136.0.113 | — | 1 |
| 115 | 110.136.0.114/32 | 110.136.0.114 to 110.136.0.114 | — | 1 |
| 116 | 110.136.0.115/32 | 110.136.0.115 to 110.136.0.115 | — | 1 |
| 117 | 110.136.0.116/32 | 110.136.0.116 to 110.136.0.116 | — | 1 |
| 118 | 110.136.0.117/32 | 110.136.0.117 to 110.136.0.117 | — | 1 |
| 119 | 110.136.0.118/32 | 110.136.0.118 to 110.136.0.118 | — | 1 |
| 120 | 110.136.0.119/32 | 110.136.0.119 to 110.136.0.119 | — | 1 |
| 121 | 110.136.0.120/32 | 110.136.0.120 to 110.136.0.120 | — | 1 |
| 122 | 110.136.0.121/32 | 110.136.0.121 to 110.136.0.121 | — | 1 |
| 123 | 110.136.0.122/32 | 110.136.0.122 to 110.136.0.122 | — | 1 |
| 124 | 110.136.0.123/32 | 110.136.0.123 to 110.136.0.123 | — | 1 |
| 125 | 110.136.0.124/32 | 110.136.0.124 to 110.136.0.124 | — | 1 |
| 126 | 110.136.0.125/32 | 110.136.0.125 to 110.136.0.125 | — | 1 |
| 127 | 110.136.0.126/32 | 110.136.0.126 to 110.136.0.126 | — | 1 |
| 128 | 110.136.0.127/32 | 110.136.0.127 to 110.136.0.127 | — | 1 |
| 129 | 110.136.0.128/32 | 110.136.0.128 to 110.136.0.128 | — | 1 |
| 130 | 110.136.0.129/32 | 110.136.0.129 to 110.136.0.129 | — | 1 |
| 131 | 110.136.0.130/32 | 110.136.0.130 to 110.136.0.130 | — | 1 |
| 132 | 110.136.0.131/32 | 110.136.0.131 to 110.136.0.131 | — | 1 |
| 133 | 110.136.0.132/32 | 110.136.0.132 to 110.136.0.132 | — | 1 |
| 134 | 110.136.0.133/32 | 110.136.0.133 to 110.136.0.133 | — | 1 |
| 135 | 110.136.0.134/32 | 110.136.0.134 to 110.136.0.134 | — | 1 |
| 136 | 110.136.0.135/32 | 110.136.0.135 to 110.136.0.135 | — | 1 |
| 137 | 110.136.0.136/32 | 110.136.0.136 to 110.136.0.136 | — | 1 |
| 138 | 110.136.0.137/32 | 110.136.0.137 to 110.136.0.137 | — | 1 |
| 139 | 110.136.0.138/32 | 110.136.0.138 to 110.136.0.138 | — | 1 |
| 140 | 110.136.0.139/32 | 110.136.0.139 to 110.136.0.139 | — | 1 |
| 141 | 110.136.0.140/32 | 110.136.0.140 to 110.136.0.140 | — | 1 |
| 142 | 110.136.0.141/32 | 110.136.0.141 to 110.136.0.141 | — | 1 |
| 143 | 110.136.0.142/32 | 110.136.0.142 to 110.136.0.142 | — | 1 |
| 144 | 110.136.0.143/32 | 110.136.0.143 to 110.136.0.143 | — | 1 |
| 145 | 110.136.0.144/32 | 110.136.0.144 to 110.136.0.144 | — | 1 |
| 146 | 110.136.0.145/32 | 110.136.0.145 to 110.136.0.145 | — | 1 |
| 147 | 110.136.0.146/32 | 110.136.0.146 to 110.136.0.146 | — | 1 |
| 148 | 110.136.0.147/32 | 110.136.0.147 to 110.136.0.147 | — | 1 |
| 149 | 110.136.0.148/32 | 110.136.0.148 to 110.136.0.148 | — | 1 |
| 150 | 110.136.0.149/32 | 110.136.0.149 to 110.136.0.149 | — | 1 |
| 151 | 110.136.0.150/32 | 110.136.0.150 to 110.136.0.150 | — | 1 |
| 152 | 110.136.0.151/32 | 110.136.0.151 to 110.136.0.151 | — | 1 |
| 153 | 110.136.0.152/32 | 110.136.0.152 to 110.136.0.152 | — | 1 |
| 154 | 110.136.0.153/32 | 110.136.0.153 to 110.136.0.153 | — | 1 |
| 155 | 110.136.0.154/32 | 110.136.0.154 to 110.136.0.154 | — | 1 |
| 156 | 110.136.0.155/32 | 110.136.0.155 to 110.136.0.155 | — | 1 |
| 157 | 110.136.0.156/32 | 110.136.0.156 to 110.136.0.156 | — | 1 |
| 158 | 110.136.0.157/32 | 110.136.0.157 to 110.136.0.157 | — | 1 |
| 159 | 110.136.0.158/32 | 110.136.0.158 to 110.136.0.158 | — | 1 |
| 160 | 110.136.0.159/32 | 110.136.0.159 to 110.136.0.159 | — | 1 |
| 161 | 110.136.0.160/32 | 110.136.0.160 to 110.136.0.160 | — | 1 |
| 162 | 110.136.0.161/32 | 110.136.0.161 to 110.136.0.161 | — | 1 |
| 163 | 110.136.0.162/32 | 110.136.0.162 to 110.136.0.162 | — | 1 |
| 164 | 110.136.0.163/32 | 110.136.0.163 to 110.136.0.163 | — | 1 |
| 165 | 110.136.0.164/32 | 110.136.0.164 to 110.136.0.164 | — | 1 |
| 166 | 110.136.0.165/32 | 110.136.0.165 to 110.136.0.165 | — | 1 |
| 167 | 110.136.0.166/32 | 110.136.0.166 to 110.136.0.166 | — | 1 |
| 168 | 110.136.0.167/32 | 110.136.0.167 to 110.136.0.167 | — | 1 |
| 169 | 110.136.0.168/32 | 110.136.0.168 to 110.136.0.168 | — | 1 |
| 170 | 110.136.0.169/32 | 110.136.0.169 to 110.136.0.169 | — | 1 |
| 171 | 110.136.0.170/32 | 110.136.0.170 to 110.136.0.170 | — | 1 |
| 172 | 110.136.0.171/32 | 110.136.0.171 to 110.136.0.171 | — | 1 |
| 173 | 110.136.0.172/32 | 110.136.0.172 to 110.136.0.172 | — | 1 |
| 174 | 110.136.0.173/32 | 110.136.0.173 to 110.136.0.173 | — | 1 |
| 175 | 110.136.0.174/32 | 110.136.0.174 to 110.136.0.174 | — | 1 |
| 176 | 110.136.0.175/32 | 110.136.0.175 to 110.136.0.175 | — | 1 |
| 177 | 110.136.0.176/32 | 110.136.0.176 to 110.136.0.176 | — | 1 |
| 178 | 110.136.0.177/32 | 110.136.0.177 to 110.136.0.177 | — | 1 |
| 179 | 110.136.0.178/32 | 110.136.0.178 to 110.136.0.178 | — | 1 |
| 180 | 110.136.0.179/32 | 110.136.0.179 to 110.136.0.179 | — | 1 |
| 181 | 110.136.0.180/32 | 110.136.0.180 to 110.136.0.180 | — | 1 |
| 182 | 110.136.0.181/32 | 110.136.0.181 to 110.136.0.181 | — | 1 |
| 183 | 110.136.0.182/32 | 110.136.0.182 to 110.136.0.182 | — | 1 |
| 184 | 110.136.0.183/32 | 110.136.0.183 to 110.136.0.183 | — | 1 |
| 185 | 110.136.0.184/32 | 110.136.0.184 to 110.136.0.184 | — | 1 |
| 186 | 110.136.0.185/32 | 110.136.0.185 to 110.136.0.185 | — | 1 |
| 187 | 110.136.0.186/32 | 110.136.0.186 to 110.136.0.186 | — | 1 |
| 188 | 110.136.0.187/32 | 110.136.0.187 to 110.136.0.187 | — | 1 |
| 189 | 110.136.0.188/32 | 110.136.0.188 to 110.136.0.188 | — | 1 |
| 190 | 110.136.0.189/32 | 110.136.0.189 to 110.136.0.189 | — | 1 |
| 191 | 110.136.0.190/32 | 110.136.0.190 to 110.136.0.190 | — | 1 |
| 192 | 110.136.0.191/32 | 110.136.0.191 to 110.136.0.191 | — | 1 |
| 193 | 110.136.0.192/32 | 110.136.0.192 to 110.136.0.192 | — | 1 |
| 194 | 110.136.0.193/32 | 110.136.0.193 to 110.136.0.193 | — | 1 |
| 195 | 110.136.0.194/32 | 110.136.0.194 to 110.136.0.194 | — | 1 |
| 196 | 110.136.0.195/32 | 110.136.0.195 to 110.136.0.195 | — | 1 |
| 197 | 110.136.0.196/32 | 110.136.0.196 to 110.136.0.196 | — | 1 |
| 198 | 110.136.0.197/32 | 110.136.0.197 to 110.136.0.197 | — | 1 |
| 199 | 110.136.0.198/32 | 110.136.0.198 to 110.136.0.198 | — | 1 |
| 200 | 110.136.0.199/32 | 110.136.0.199 to 110.136.0.199 | — | 1 |
| 201 | 110.136.0.200/32 | 110.136.0.200 to 110.136.0.200 | — | 1 |
| 202 | 110.136.0.201/32 | 110.136.0.201 to 110.136.0.201 | — | 1 |
| 203 | 110.136.0.202/32 | 110.136.0.202 to 110.136.0.202 | — | 1 |
| 204 | 110.136.0.203/32 | 110.136.0.203 to 110.136.0.203 | — | 1 |
| 205 | 110.136.0.204/32 | 110.136.0.204 to 110.136.0.204 | — | 1 |
| 206 | 110.136.0.205/32 | 110.136.0.205 to 110.136.0.205 | — | 1 |
| 207 | 110.136.0.206/32 | 110.136.0.206 to 110.136.0.206 | — | 1 |
| 208 | 110.136.0.207/32 | 110.136.0.207 to 110.136.0.207 | — | 1 |
| 209 | 110.136.0.208/32 | 110.136.0.208 to 110.136.0.208 | — | 1 |
| 210 | 110.136.0.209/32 | 110.136.0.209 to 110.136.0.209 | — | 1 |
| 211 | 110.136.0.210/32 | 110.136.0.210 to 110.136.0.210 | — | 1 |
| 212 | 110.136.0.211/32 | 110.136.0.211 to 110.136.0.211 | — | 1 |
| 213 | 110.136.0.212/32 | 110.136.0.212 to 110.136.0.212 | — | 1 |
| 214 | 110.136.0.213/32 | 110.136.0.213 to 110.136.0.213 | — | 1 |
| 215 | 110.136.0.214/32 | 110.136.0.214 to 110.136.0.214 | — | 1 |
| 216 | 110.136.0.215/32 | 110.136.0.215 to 110.136.0.215 | — | 1 |
| 217 | 110.136.0.216/32 | 110.136.0.216 to 110.136.0.216 | — | 1 |
| 218 | 110.136.0.217/32 | 110.136.0.217 to 110.136.0.217 | — | 1 |
| 219 | 110.136.0.218/32 | 110.136.0.218 to 110.136.0.218 | — | 1 |
| 220 | 110.136.0.219/32 | 110.136.0.219 to 110.136.0.219 | — | 1 |
| 221 | 110.136.0.220/32 | 110.136.0.220 to 110.136.0.220 | — | 1 |
| 222 | 110.136.0.221/32 | 110.136.0.221 to 110.136.0.221 | — | 1 |
| 223 | 110.136.0.222/32 | 110.136.0.222 to 110.136.0.222 | — | 1 |
| 224 | 110.136.0.223/32 | 110.136.0.223 to 110.136.0.223 | — | 1 |
| 225 | 110.136.0.224/32 | 110.136.0.224 to 110.136.0.224 | — | 1 |
| 226 | 110.136.0.225/32 | 110.136.0.225 to 110.136.0.225 | — | 1 |
| 227 | 110.136.0.226/32 | 110.136.0.226 to 110.136.0.226 | — | 1 |
| 228 | 110.136.0.227/32 | 110.136.0.227 to 110.136.0.227 | — | 1 |
| 229 | 110.136.0.228/32 | 110.136.0.228 to 110.136.0.228 | — | 1 |
| 230 | 110.136.0.229/32 | 110.136.0.229 to 110.136.0.229 | — | 1 |
| 231 | 110.136.0.230/32 | 110.136.0.230 to 110.136.0.230 | — | 1 |
| 232 | 110.136.0.231/32 | 110.136.0.231 to 110.136.0.231 | — | 1 |
| 233 | 110.136.0.232/32 | 110.136.0.232 to 110.136.0.232 | — | 1 |
| 234 | 110.136.0.233/32 | 110.136.0.233 to 110.136.0.233 | — | 1 |
| 235 | 110.136.0.234/32 | 110.136.0.234 to 110.136.0.234 | — | 1 |
| 236 | 110.136.0.235/32 | 110.136.0.235 to 110.136.0.235 | — | 1 |
| 237 | 110.136.0.236/32 | 110.136.0.236 to 110.136.0.236 | — | 1 |
| 238 | 110.136.0.237/32 | 110.136.0.237 to 110.136.0.237 | — | 1 |
| 239 | 110.136.0.238/32 | 110.136.0.238 to 110.136.0.238 | — | 1 |
| 240 | 110.136.0.239/32 | 110.136.0.239 to 110.136.0.239 | — | 1 |
| 241 | 110.136.0.240/32 | 110.136.0.240 to 110.136.0.240 | — | 1 |
| 242 | 110.136.0.241/32 | 110.136.0.241 to 110.136.0.241 | — | 1 |
| 243 | 110.136.0.242/32 | 110.136.0.242 to 110.136.0.242 | — | 1 |
| 244 | 110.136.0.243/32 | 110.136.0.243 to 110.136.0.243 | — | 1 |
| 245 | 110.136.0.244/32 | 110.136.0.244 to 110.136.0.244 | — | 1 |
| 246 | 110.136.0.245/32 | 110.136.0.245 to 110.136.0.245 | — | 1 |
| 247 | 110.136.0.246/32 | 110.136.0.246 to 110.136.0.246 | — | 1 |
| 248 | 110.136.0.247/32 | 110.136.0.247 to 110.136.0.247 | — | 1 |
| 249 | 110.136.0.248/32 | 110.136.0.248 to 110.136.0.248 | — | 1 |
| 250 | 110.136.0.249/32 | 110.136.0.249 to 110.136.0.249 | — | 1 |
| 251 | 110.136.0.250/32 | 110.136.0.250 to 110.136.0.250 | — | 1 |
| 252 | 110.136.0.251/32 | 110.136.0.251 to 110.136.0.251 | — | 1 |
| 253 | 110.136.0.252/32 | 110.136.0.252 to 110.136.0.252 | — | 1 |
| 254 | 110.136.0.253/32 | 110.136.0.253 to 110.136.0.253 | — | 1 |
| 255 | 110.136.0.254/32 | 110.136.0.254 to 110.136.0.254 | — | 1 |
| 256 | 110.136.0.255/32 | 110.136.0.255 to 110.136.0.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |